Subject: [bug#42261] [PATCH 1/4] gnu: Add ganeti.

From: Marius Bakke <[email-masked]>
Date: Sun, 12 Jul 2020 00:08:23 +0200

Ludovic Courtès <[email-masked]> writes:

> Marius Bakke <[email-masked]> skribis:
>
>> * gnu/packages/virtualization.scm (system->qemu-target, ganeti): New variables.
>> * gnu/packages/patches/ganeti-copy-hmac.patch,
>> gnu/packages/patches/ganeti-disable-version-symlinks.patch,
>> gnu/packages/patches/ganeti-drbd-compat.patch,
>> gnu/packages/patches/ganeti-haskell-pythondir.patch,
>> gnu/packages/patches/ganeti-openvswitch-may-exist.patch,
>> gnu/packages/patches/ganeti-preserve-PYTHONPATH.patch,
>> gnu/packages/patches/ganeti-shepherd-master-failover.patch,
>> gnu/packages/patches/ganeti-shepherd-support.patch: New files.
>> * gnu/local.mk (dist_patch_DATA): Adjust accordingly.
>> ---
>>  gnu/local.mk                                  |   8 +
>>  gnu/packages/patches/ganeti-copy-hmac.patch   |  83 ++++
>>  .../ganeti-disable-version-symlinks.patch     | 136 +++++++
>>  gnu/packages/patches/ganeti-drbd-compat.patch | 168 ++++++++
>>  .../patches/ganeti-haskell-pythondir.patch    |  66 +++
>>  .../ganeti-openvswitch-may-exist.patch        |  25 ++
>>  .../patches/ganeti-preserve-PYTHONPATH.patch  |  21 +
>>  .../ganeti-shepherd-master-failover.patch     |  26 ++
>>  .../patches/ganeti-shepherd-support.patch     |  87 ++++
>>  gnu/packages/virtualization.scm               | 378 ++++++++++++++++++
>>  10 files changed, 998 insertions(+)
>
> The patches are quite big, but maybe that’s unavoidable.

Some have already been merged upstream, others should be shortly.
Ultimately I hope to only carry the Shepherd- and PYTHONPATH-related
patches.  I haven't dared submitting 'disable-version-symlinks.patch'
yet, mainly because I struggled to find a clean way to conditionally
override Automake variables, ref
<https://lists.gnu.org/archive/html/automake/2020-06/msg00000.html>

(there is a reply from Karl Berry in 2020-07)

> Apart from that, on a cursory look it LGTM!

Awesome, I was able to do some more testing today and expect to push
this in a couple of days.